> For the complete documentation index, see [llms.txt](https://docs.adnuntius.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adnuntius.com/other-useful-information/adnuntius-slider.md).

# Adnuntius Slider

## Prerequisites

In order to add this functionality to your page you will have to add these two files to the `<head>` tag of your page. Either you can use our CDN or download them and host them yourself.

```markup
<script src="https://tags.adnuntius.com/utils/swiper.min.js"></script>
<link rel="stylesheet" type="text/css" href="https://tags.adnuntius.com/utils/swiper.min.css">
```

{% hint style="info" %}
After you've added the style sheet you can of course style it in whatever shape or form that fits your site.
{% endhint %}

## Deployment

After that is done you can add the ad call to your site. (Don't forget to set the adunit ID)

```markup
<div id="adn-<adunit-ID>" ></div> //TODO: paste adunit ID

<script type="text/javascript">

(function(d,s,e,t){e=d.createElement(s);e.type='text/java'+s;e.async='async';
e.src='http'+('https:'===location.protocol?'s':'')+'://cdn.adnuntius.com/adn.js';
t=d.getElementsByTagName(s)[0];t.parentNode.insertBefore(e,t);})(document,'script');
window.adn = window.adn || {}; adn.calls = adn.calls || [];


    // --- Optional -----------
    adn.swiper = {
        slidesPerView : 1,
        speed: 3000,
        delay: 5000,
        spaceBetween: 20
    } 
    // ------------------------

         adn.calls.push(function() {
        adn.request({ 
            onImpressionResponse: adnAddSwiper, // Required
            adUnits: [
                {auId: '<adunit-ID>', container: 'div' }, // TODO: paste adunit ID
            ]
        });
    })

</script>
```

{% hint style="warning" %}
You must user the `congtainer: 'div'` as described in the [documentation ](https://admin.adnuntius.com/adn)for this to work.
{% endhint %}

The optional parameters gives you some control over the sliders behavior on site.

| Optional parameter | Defaults | Usage                                                         |
| ------------------ | -------- | ------------------------------------------------------------- |
| slidesPerView      | 1        | Determins how many items to fit in every slide.               |
| speed              | 3000     | The speed in milliseconds for each transition between slides. |
| delay              | 5000     | How long the slider will stay on each slide.                  |
| spaceBetween       | 10       | Will set the space between each item in the slider.           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adnuntius.com/other-useful-information/adnuntius-slider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
